#include <WindowsConstants.au3>
#include <_SlideUDF.au3>

AutoItWinSetTitle("__DUMMY") ; Use the internal (invisible) AutoIt window as a dummy window.
$hDummyHwnd = WinGetHandle("__DUMMY") ; We will use this as parent for our gui's
; so we wont see anything on the taskbar (pretty much like $WS_EX_TOOLWINDOW)

;Create GUI on the left side.
$h_Left = GUICreate("SlideGUI left", 155, 350, -1, -1, -1, $WS_EX_TOPMOST, $hDummyHwnd)
$_Button1 = GUICtrlCreateButton("(Un-)Lock Top", 40, 40, 100, 30)
GUICtrlCreateEdit("Sample Edit...", 20, 90, 120, 200)
_Slide_WinSetSlide($h_Left, "left") ; Apply slide mode on the left side.
_Slide_SlideSetOnHover($h_Left) ; Apply slide on hover mode.

;Create GUI on the right.
$h_Right = GUICreate("SlideGUI Right", 155, 350, -1, -1, -1, $WS_EX_TOPMOST, $hDummyHwnd)
GUICtrlCreateEdit("Sample Edit...", 20, 20, 150, 300)
_Slide_WinSetSlide($h_Right, "right") ; Apply slide mode for the right side.
; No Slide on hover for this one. We want to move it by ourself.

$h_Bottom = GUICreate("SlideGUI Bottom", 350, 155, -1, -1, -1, $WS_EX_TOPMOST, $hDummyHwnd)
GUICtrlCreateCheckbox("Sample Checkbox", 40, 30)
GUICtrlCreateCombo("Combo", 140, 50)
_Slide_WinSetSlide($h_Bottom, "bottom") ; Apply slide mode
_Slide_SlideSetOnHover($h_Bottom) ; Apply slide on hover.

$h_Top = GUICreate("SlideGUI Top", 350, 155, -1, -1, -1, $WS_EX_TOPMOST, $hDummyHwnd)
$_ListView = GUICtrlCreateListView("Columnd 1|Column 2", 5, 5, 340, 145)
GUICtrlCreateListViewItem("Item 1_1|Item 1_2", $_ListView)
GUICtrlCreateListViewItem("Item 2_1|Item 2_2", $_ListView)
GUICtrlCreateListViewItem("Item 3_1|Item 3_2", $_ListView)
_Slide_WinSetSlide($h_Top, "top") ; Apply slide mode
_Slide_SlideSetOnHover($h_Top) ; Apply slide on hover.

_Slide_SlideIn($h_Top) ; Slide out top window,
_Slide_SlideSetLock($h_Top) ; Lock it, so it wont trigger the Hover-Event.
; You can also use _Slide_SlideInLock($h_Top)


$t = TimerInit()

While 1 * Sleep(10)
	$nMsg = GUIGetMsg()
	Switch $nMsg
		Case -3
			Exit
		Case $_Button1
			$fLockedState = _Slide_SlideGetLock($h_Top) ; Retrieve the "locked"-state.
			Switch $fLockedState
				Case False ; if not locked, slide in, and lock (so it wont trigger OnHover)
					_Slide_SlideInLock($h_Top)
				Case True ; if locked, slide out, and unlock (so it _will_ trigger onHover)
					_Slide_SlideOutLock($h_Top, False)
			EndSwitch
		Case Else
			If TimerDiff($t) > 3000 Then
				$fSlideState = _Slide_WingetSlideState($h_Right) ; Retrive the Slide-state.
				Switch $fSlideState
					Case False ; If slide out, slide in.
						_Slide_SlideIn($h_Right)
					Case True ; If slide in, slide out.
						_Slide_SlideOut($h_Right)
				EndSwitch
				$t = TimerInit()
			EndIf
	EndSwitch
WEnd
